Subject: Re: [core] #6: Date option text needs update

From: Carsten Bormann <[email-masked]>
Date: Thu, 1 Jul 2010 09:52:37 +0200

On Jul 1, 2010, at 08:23, Zach Shelby wrote:

> How about we move the date option out of coap-xx and into coap-misc while we are pondering this? I would like to keep only the options we are really sure about in the base spec. How does that sound?

I had exactly the same thought.

I also agree with Szymon that we should investigate relative dates.  
Max-age already goes in that direction.
(See also 14.18.1 in 2616, which is unchanged in 9.3.1 in draft-ietf-httpbis-p1-messaging-09.txt.)

Gruesse, Carsten

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 1 Jul 2010 03:56:39 -0400

Since there can be a non-trivial (multiple seconds, if the MAC layer is uncooperative) delay between request sending and response, I think relative dates are not so useful.

On Jul 1, 2010, at 3:52 AM, Carsten Bormann wrote:

> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core
>

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 1 Jul 2010 10:21:57 +0200

> Since there can be a non-trivial (multiple seconds, if the MAC layer is uncooperative) delay between request sending and response, I think relative dates are not so useful.

Probably not on the time scale of seconds.  More so for minutes, hours, days.

(Section 13.3.3 of RFC 2616 mentions a time constant of 60 seconds, introduced there to handle clock skew *within* a server. Lots of fun.)

Gruesse, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 1 Jul 2010 12:17:11 +0200

On Jul 1, 2010, at 08:23, Zach Shelby wrote:

> move the date option out of coap-xx and into coap-misc 

I just submitted a coap-misc-03 with text about options related to absolute time, which also describes what I think the experimental Date option is in coap-00.

Gruesse, Carsten

---

From: Peter Bigot <[email-masked]>
Date: Thu, 1 Jul 2010 07:17:45 -0500

+1

On Thu, Jul 1, 2010 at 1:23 AM, Zach Shelby <[email-masked]> wrote:

>
> On Jul 1, 2010, at 2:41 AM, Carsten Bormann wrote:
>
> > On Jul 1, 2010, at 00:00, Peter Bigot wrote:
> >
> >> I recently moved, and my copy of Fielding's dissertation is in a box
> somewhere,
> >
> > http://www.ics.uci.edu/~fielding/pubs/dissertation/top.htm<http://www.ics.uci.edu/%7Efielding/pubs/dissertation/top.htm>
> >
> > It is not quite clear to me whether the CoAP Date option wants to be an
> HTTP Date header (14.18 in 2616, 9.3 in
> draft-ietf-httpbis-p1-messaging-09.txt) or a Last-Modified header (14.29 in
> 2616, 6.6 in draft-ietf-httpbis-p4-conditional-09.txt).
> >
> > I think the latter may have been intended.
> >
> > Which one/what do we need?  HTTP has both for a reason.  Can we live with
> just one?  A different one?
>
> Or do we need one at all?
>
> As this seems to be an experimental subject at this point, and I am not
> really sure if anybody is going to use this in real constrained devices. How
> about we move the date option out of coap-xx and into coap-misc while we are
> pondering this? I would like to keep only the options we are really sure
> about in the base spec. How does that sound?
>
> Zach
>
> >
> > Gruesse, Carsten
> >
> --
> Zach Shelby, Chief Nerd, Sensinode Ltd.
> http://zachshelby.org  - My blog "On the Internet of Things"
> http://6lowpan.net - My book "6LoWPAN: The Wireless Embedded Internet"
> Mobile: +358 40 7796297
>
>

---

From: "core issue tracker" <[email-masked]>
Date: Fri, 02 Jul 2010 08:09:17 -0000

#6: Date option text needs update
--------------------------------+-------------------------------------------
 Reporter:  zach@…              |       Owner:  Cullen Jennings <fluffy@…>        
     Type:  defect              |      Status:  new                               
 Priority:  trivial             |   Milestone:  coap-02                           
Component:  coap                |     Version:                                    
 Severity:  -                   |    Keywords:                                    
--------------------------------+-------------------------------------------
Changes (by zach@…):

  * milestone:  coap-01 => coap-02

Comment:

 Moved to coap-misc for now, to be decided on for coap-02.

-- 
Ticket URL: <http://tools.ietf.org/wg/core/trac/ticket/6#comment:2>
core <http://tools.ietf.org/core/>